Bug 433406 - RFE: FC9 more descriptive boot prompt
RFE: FC9 more descriptive boot prompt
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-18 22:19 EST by Ray Todd Stevens
Modified: 2008-04-15 13:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 13:35:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add device to the prompt (1.08 KB, patch)
2008-04-15 12:16 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Ray Todd Stevens 2008-02-18 22:19:32 EST
When you boot up the encrypted volume thing asks for "LUKS Password:"    Now
this lacks a little in description.

How about some kind of an indicator of which volume we are talking about in case
in the future we are dealing with more than one.   More important how about
something like "LUKS disk volume password:"   So that less skilled people can
know what you are asking about.

Also how about adding 9 alpha 1 to the list of versions so that this can be
tracked better.
Comment 1 Ray Todd Stevens 2008-02-19 09:09:22 EST
Also apparently when you type in the pass phrase,  you only have one shot at it.
 Now having go after go at it may be a security issue, but only one chance will
get users to start throwing their computers through a window. ;-)
Comment 2 Till Maas 2008-03-03 16:46:14 EST
Imho an initscripts bug, therefore I change the component. If you consider this
to be a bug in cryptsetup, please use cryptsetup-luks as the component.
Comment 3 Bill Nottingham 2008-03-03 20:37:00 EST
initscripts is not involved with this prompt.
Comment 4 Till Maas 2008-03-04 04:17:05 EST
Hm, changing the prompt to be "LUKS disk volume password:" in cryptsetup sounds
wrong to me, because it may not be a disk volume, because cryptsetup can be used
to encrypt any file/block device (e.g. cds, usb sticks, floppies).

A change to

"LUSK password to open %s as %s:" with the device and the name for the mapping
provided would not hurt, imho. Nevertheless, it is possible to pipe the passwort
to cryptsetup and get it first from the user with an arbitrary prompt, which
would allow to provide even more information about the volume, e.g. it could be
explained that it is the root partition when the root partition is mounted.

Comment 5 Ray Todd Stevens 2008-03-04 07:21:46 EST
How about just LUSK encrption key password:   Instead of just LUSK Password.

At least that gives people who are not conversent with what LUKS is a clue as to
what they are dealing with and which password is being asked for. 
Comment 6 Ray Todd Stevens 2008-03-09 18:38:34 EDT
I did just check and found a difference in the process.   It has fixed the
comment #1.   This is a BIG help.   If you enter the password wrong now, it asks
again.  At least if you guess wrong in what password we are talking about you
get a second chance without having to totally restart the boot process.
Comment 7 Bill Nottingham 2008-04-15 12:16:20 EDT
Created attachment 302488 [details]
Patch to add device to the prompt

Here's a patch that adds the device name. I'm not sure the mapper device is
particularly relevant, but I could be wrong.

The reason I'd rather do this in cryptsetup for now is that trying to do all
the prompting and piping from shell would be a real pain.
Comment 8 Bill Nottingham 2008-04-15 13:35:32 EDT
Added in 1.0.6-2.
Comment 9 Bill Nottingham 2008-04-15 13:51:46 EDT
*** Bug 437261 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.